/**************************************************************************
  This is an example for the NRF24L01 RF transmitter based on this instruction:
  https://www.instructables.com/Send-Data-to-Mobile-Using-NRF24L01-Using-NRF-As-a-/
  
  ftNano
  https://www.blafusel.de
 **************************************************************************/

#include <SPI.h>
#include <RF24.h>   // must be installed via Library Manager
#include <BTLE.h>   // must be installed via Library Manager

RF24 radio(2, 7);
BTLE btle(&radio);
nrf_service_data buf;

void setup() {
  Serial.begin(9600);
  btle.begin("ftNano"); 
  Serial.println("Start");
}

void loop() {
  buf.service_uuid = NRF_TEMPERATURE_SERVICE_UUID;
  buf.value = BTLE::to_nRF_Float(21);   // send this data (fix "21")

  if (!btle.advertise(0x16, &buf, sizeof(buf))) 
    Serial.println("BTLE advertisement failed..!");
  else
    Serial.println("send");  

  btle.hopChannel();
  delay(2000);
}
